PUT /api/v202401/bill/billPaymentDetails

For each record in the request body, update the bill payment details.

BillPaymentDetailsV202401 Permissions: BillsAndBatches (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Array of:

BillPaymentDetailsOptionalItemV202401
Property Description Type
accountingPeriod OptionalUpdateNullableInt32
OptionalUpdateNullableInt32 properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database integer (int32)
billId Identifier for bill to update Required integer (int32)
checkDate OptionalUpdateNullableDateOnly
OptionalUpdateNullableDateOnly properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request Required (defined) boolean
value The value to save during update Should be a date only with no time element If null is passed as a value and update is true it will be saved to the database Required (defined) string (date-time)
checkImage OptionalUpdateString
OptionalUpdateString properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database string
checkNumber OptionalUpdateString
OptionalUpdateString properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database string
clearedDate OptionalUpdateNullableDateOnly
OptionalUpdateNullableDateOnly properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request Required (defined) boolean
value The value to save during update Should be a date only with no time element If null is passed as a value and update is true it will be saved to the database Required (defined) string (date-time)
fundsWithdrawnDate OptionalUpdateNullableDateOnly
OptionalUpdateNullableDateOnly properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request Required (defined) boolean
value The value to save during update Should be a date only with no time element If null is passed as a value and update is true it will be saved to the database Required (defined) string (date-time)
payStatus OptionalUpdateString
OptionalUpdateString properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database string
paymentAmount OptionalUpdateNullableDecimal
OptionalUpdateNullableDecimal properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database number (double)
paymentType OptionalUpdateString
OptionalUpdateString properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database string
paymentVoucher OptionalUpdateString
OptionalUpdateString properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database string
Example Request Body application/json
[
  {    "accountingPeriod": {      "update": false,      "value": 1
    },    "billId": 1,    "checkDate": {      "update": false,      "value": "2026-03-30"
    },    "checkImage": {      "update": false,      "value": "string"
    },    "checkNumber": {      "update": false,      "value": "string"
    },    "clearedDate": {      "update": false,      "value": "2026-03-30"
    },    "fundsWithdrawnDate": {      "update": false,      "value": "2026-03-30"
    },    "payStatus": {      "update": false,      "value": "string"
    },    "paymentAmount": {      "update": false,      "value": 1.0
    },    "paymentType": {      "update": false,      "value": "string"
    },    "paymentVoucher": {      "update": false,      "value": "string"
    }
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BillPaymentDetailsOptionalResponseV202401
Property Description Type
failedBillPaymentDetailsOptionalItems List of unsuccessful bill payment detail updates with reasons for failure Required (defined) BillPaymentDetailsOptionalItemWithErrorsV202401[]
BillPaymentDetailsOptionalItemWithErrorsV202401 properties
Property Description Type
accountingPeriod OptionalUpdateNullableInt32
OptionalUpdateNullableInt32 properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database integer (int32)
billId Identifier for bill to update Required integer (int32)
checkDate OptionalUpdateNullableDateOnly
OptionalUpdateNullableDateOnly properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request Required (defined) boolean
value The value to save during update Should be a date only with no time element If null is passed as a value and update is true it will be saved to the database Required (defined) string (date-time)
checkImage OptionalUpdateString
OptionalUpdateString properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database string
checkNumber OptionalUpdateString
OptionalUpdateString properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database string
clearedDate OptionalUpdateNullableDateOnly
OptionalUpdateNullableDateOnly properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request Required (defined) boolean
value The value to save during update Should be a date only with no time element If null is passed as a value and update is true it will be saved to the database Required (defined) string (date-time)
errors Give error details Required (defined) string
fundsWithdrawnDate OptionalUpdateNullableDateOnly
OptionalUpdateNullableDateOnly properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request Required (defined) boolean
value The value to save during update Should be a date only with no time element If null is passed as a value and update is true it will be saved to the database Required (defined) string (date-time)
payStatus OptionalUpdateString
OptionalUpdateString properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database string
paymentAmount OptionalUpdateNullableDecimal
OptionalUpdateNullableDecimal properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database number (double)
paymentType OptionalUpdateString
OptionalUpdateString properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database string
paymentVoucher OptionalUpdateString
OptionalUpdateString properties
Property Description Type
update Should the value be saved This is used to optionally update certain fields during a PUT request boolean
value The value to save during update If null is passed as a value and update is true it will be saved to the database string
failure Number of unsuccessful bill payment detail updates Required (defined) integer (int32)
success Number of successful bill payment detail updates Required (defined) integer (int32)
Example Response application/json
{  "failedBillPaymentDetailsOptionalItems": [
    {    "accountingPeriod": {      "update": false,      "value": 1
    },    "billId": 1,    "checkDate": {      "update": false,      "value": "2026-03-30"
    },    "checkImage": {      "update": false,      "value": "string"
    },    "checkNumber": {      "update": false,      "value": "string"
    },    "clearedDate": {      "update": false,      "value": "2026-03-30"
    },    "errors": "string",    "fundsWithdrawnDate": {      "update": false,      "value": "2026-03-30"
    },    "payStatus": {      "update": false,      "value": "string"
    },    "paymentAmount": {      "update": false,      "value": 1.0
    },    "paymentType": {      "update": false,      "value": "string"
    },    "paymentVoucher": {      "update": false,      "value": "string"
    }
  }
  ],  "failure": 1,  "success": 1
}